Bug 1415602 - Creating resources through Image and Deploy Image don't stay on Next Steps page
Summary: Creating resources through Image and Deploy Image don't stay on Next Steps page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 08:51 UTC by Yadan Pei
Modified: 2017-07-24 14:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 13:21:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0884 0 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.5 RPM Release Advisory 2017-04-12 22:50:07 UTC

Description Yadan Pei 2017-01-23 08:51:28 UTC
Description of problem:
After Creating resources through Image and Deploy Image, before content on Next Steps page completely loaded, it automatically redirects to project overview

Version-Release number of selected component (if applicable):
v3.5.0.7+390ef18

How reproducible:
Always

Steps to Reproduce:
1.Login to web console and create a project
2.Create app from image
Add to Project -> Browse Catalog -> Select php:7.0 image, set Name and Git Repository URL -> Create
3.Create resources from template
Add to Project -> Import YAML/JSON -> Copy and Paste content from https://raw.githubusercontent.com/openshift/origin/master/examples/sample-app/application-template-stibuild.json -> Create -> Process the template -> Continue -> Create
4.Create resource from Deploy Image
Add to Project -> Deploy Image -> Select Image Stream tag as openshift/perl:latest -> Create

Actual results:
2.After clicking Create button, it goes to and stays on Next Steps page with some instructions printed, it will not go to project overview page until user click "Go to overview" link
3-4. After clicking Create button, it goes to Next Steps page, but before all info on Next Steps page loaded, it redirects to project overview automatically

Expected results:
3-4. After clicking Create button, should stay on Next Steps page, Next Steps page will show creation result and some help info accordingly. It shouldn't automatically redirect to project overview page

Additional info:

Comment 1 openshift-github-bot 2017-01-23 20:56:30 UTC
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/bcff353ac417bb174f34faf2b19d9320d38260d5
Bug 1415602: Fix next steps for deploy image

Don't try to calculate the previous URL for breadcrumbs. Instead, use
history back, which simplifies the next steps controller code and makes
it work from any page (including deploy image). This also fixes a bug
where the display name for the image stream was not preserved.

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1415602

Comment 2 Jessica Forrester 2017-01-23 20:59:05 UTC
Based on the changes to fix this bug you should double check coming into next steps from each of the Add to Project tabs, and from both a builder image workflow and a template workflow.

Comment 3 Troy Dawson 2017-01-27 17:42:00 UTC
This has been merged into ocp and is in OCP v3.5.0.10 or newer.

Comment 4 Yadan Pei 2017-02-03 06:19:46 UTC
Checked against v3.5.0.14+20b49d0

Now when creating resources from Image & Template & Deploy Image, after clicking Create button, it will stay on Next Steps page with instructions printed, it will not go to Overview page until user click "Continue to Overview"


Move to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.